//
// matrix object
//

#ifndef _MATRIX_H_
#define _MATRIX_H_

#include <string>
#include <deque>
using namespace std;

/**
 * Builds up the matrix of both input and output so that it can be easily stored
 * in the Vocabulary object.
 *
 * \author Phil Howlett
 */

class Matrix
{ private:
	deque < string > phrase;

public:
	 Matrix (  );
	void add_word ( string w );
	void add_sentence ( string s );
	void reply_sentence ( string s );
	void dump_phrase (  );
	bool get_phrase ( string * a, string * b, string * c, string * d,
										string * e );
	void reset (  );
	 ~Matrix (  );
};

#endif
